<?php

//** MAIN BUTTON **//

function ed_theme_settings_menu() {
    add_menu_page( 
        'Theme Settings',
        'Theme Settings',
        'manage_options',
        'theme-settings',
        'ed_theme_settings_function',
        'dashicons-laptop',
        99
    );
}
add_action('admin_menu', 'ed_theme_settings_menu');



add_action( 'admin_init', 'ed_theme_settings_function_register' );
function ed_theme_settings_function_register() {
	register_setting( 'ed_theme_settings', 'ed_theme_prefix', 'input_validation' );
	register_setting( 'ed_theme_settings', 'ed_theme_deepth', 'input_validation' );
	
	register_setting( 'ed_theme_settings', 'ed_theme_adsblock320', 'input_validation' );
	
	register_setting( 'ed_theme_settings', 'ed_theme_responsive', 'input_validation' );
	
	register_setting( 'ed_theme_settings', 'ed_theme_welcome', 'input_validation' );
	
	register_setting( 'ed_theme_settings', 'ed_theme_homeposts', 'input_validation' );
}


function ed_theme_settings_function() {
    $ed_theme_prefix = get_option( 'ed_theme_prefix' ) !== '' ? get_option( 'ed_theme_prefix' ) : '—';
    $ed_theme_deepth = get_option( 'ed_theme_deepth' ) !== '' ? get_option( 'ed_theme_deepth' ) : '—';
    
    $ed_theme_welcome = get_option( 'ed_theme_welcome' ) !== '' ? get_option( 'ed_theme_welcome' ) : '—';
    
    $ed_theme_responsive = get_option( 'ed_theme_responsive' ) == '1' ? "Disabled" : "Enabled";
    
    $ed_theme_homeposts = get_option( 'ed_theme_homeposts' ) == '0' ? "Full Posts" : "Excerpts";
    ?>
    
    <script>jQuery(document).ready(function() {jQuery(function() {jQuery('.theme_settings_spoiler_button').click(function(){jQuery(this).closest('.theme_settings_spoiler').find('.theme_settings_spoiler_content').slideToggle(200);});});});</script>
    
    <div class="wrap">
        <style>.wrap strong {font-weight:bold;} .theme_settings_spoiler_button:hover {cursor:pointer;}</style>
		<h1 style="font-size:2em;"><?php echo get_admin_page_title(); ?></h1>
		
		<div class="theme_settings_spoiler" style="margin: 2em 20px 2em 0px;padding: 0px 9px;">
            <div class="theme_settings_spoiler_button" style="display: block;font-size: 1.5em;padding: 10px 0;">
                <span style="display: block;">Show Info ▼▼▼</span>
            </div>
        
            <div class="theme_settings_spoiler_content" style="display:none;border: 1px solid black;padding: 10px 20px;">
                <div class="theme_settings_spoiler_content_inside">
                    <p>
                        <div style="margin: 5px 0;"><strong style="background:  black;color:  white;padding: 1px 5px;display:  inline-block;">Coppermine Gallery Prefix</strong>: <?php echo $ed_theme_prefix ?></div>

                        <div style="margin: 5px 0;"><strong style="background:  black;color:  white;padding: 1px 5px;display:  inline-block;">Coppermine Gallery Deepth</strong>: <?php echo $ed_theme_deepth ?></div>
                        
                        <div style="margin: 5px 0;"><strong style="background:  black;color:  white;padding: 1px 5px;display:  inline-block;">Welcome Message</strong>: <?php echo $ed_theme_welcome ?></div>
                        
                        <div style="margin: 5px 0;"><strong style="background:  black;color:  white;padding: 1px 5px;display:  inline-block;">Mobile Version</strong>: <?php echo $ed_theme_responsive ?></div>
                        
                        <div style="margin: 5px 0;"><strong style="background:  black;color:  white;padding: 1px 5px;display:  inline-block;">Home Posts</strong>: <?php echo $ed_theme_homeposts ?></div>
                    </p>
                </div>
            </div>
        </div>
		
		<form method="post" action="options.php" style="margin-top: 20px;">
            <?php settings_fields( 'ed_theme_settings' ); ?>
            <table class="form-table">
                <tr>
                    <td scope="row" width="30%">
                        <h3 style="margin: 0;">Enable/Disable Mobile Version:</h3>
                        <small>You can choose if you want to set up a mobile version for your Wordpress site. Keeping your theme responsive is recommended for a better browse of your site.</small>
                    </td>
            
                    <td width="70%" colspan="2">
                        <fieldset>
                            <?php
                                $radios = array_unique( 
                                    apply_filters( 
                                    'ed_theme_responsive', 
                                    array(
                                        '0' => 'Enable Mobile Version',
                                        '1' => 'Disable Mobile Version',
                                    )
                                    ) 
                                );
                                    
                                foreach ( $radios as $radio => $key ) {
                                    ?>
                                    <span style="display:block;margin: 0.5em 0;">
                                        <input type="radio" id='ed_theme_responsive' name='ed_theme_responsive' value="<?php echo $radio ?>" <?php if ( $radio == get_option( 'ed_theme_responsive' ) ) { echo "checked='checked'";} ?> /> <span><?php echo $key; ?></span>
                                    </span>
                                    <?php
                                }
                            ?>
                        </fieldset>
                    </td>
                </tr>
                
                <tr>
                    <td scope="row" width="30%">
                        <h3 style="margin: 0;">Welcome Message:</h3>
                        <small>Say some words to visitors of your site, explain who your site is dedicated to, who that person is, and tell what people would find on your site.</small>
                    </td>
            
                    <td width="70%" colspan="2">
                        <fieldset>
                            <?php wp_editor(
                                get_option( 'ed_theme_welcome' ),
                                'ed_theme_welcome',
                                $settings = array(
                                    'wpautop'       => true,
                                    'media_buttons' => 0,
                                    'textarea_name' => 'ed_theme_welcome',
                                    'textarea_rows' => 5,
                                    'tabindex'      => null,
                                    'editor_css'    => '',
                                    'editor_class'  => 'ed_theme_welcome',
                                    'teeny'         => 1,
                                    'dfw'           => 0,
                                    'tinymce'       => 0,
                                    'quicktags'     => array('buttons' => 'strong,em,del'),
                                    'drag_drop_upload' => false) )
                            ?>
                        </fieldset>
                    </td>
                </tr>
                
                <tr>
                    <td scope="row" width="30%">
                        <h3 style="margin: 0;">Home Page Posts:</h3>
                        <small>You can choose either you want to display full posts on the home page, or you want to display only excerpts. The default setting is Full Posts</small>
                    </td>
            
                    <td width="70%" colspan="2">
                        <fieldset>
                            <?php
                                $radios = array_unique( 
                                    apply_filters( 
                                    'ed_theme_homeposts', 
                                    array(
                                        '0' => 'Full Posts',
                                        '1' => 'Excerpts',
                                    )
                                    ) 
                                );
                                    
                                foreach ( $radios as $radio => $key ) {
                                    ?>
                                    <span style="display:block;margin: 0.5em 0;">
                                        <input type="radio" id='ed_theme_homeposts' name='ed_theme_homeposts' value="<?php echo $radio ?>" <?php if ( $radio == get_option( 'ed_theme_homeposts' ) ) { echo "checked='checked'";} ?> /> <span><?php echo $key; ?></span>
                                    </span>
                                    <?php
                                }
                            ?>
                        </fieldset>
                    </td>
                </tr>
                
                <tr>
                    <td scope="row" width="30%">
                        <h3 style="margin: 0;">Coppermine Photogallery Prefix:</h3>
                        <small>
                            Example: if you have a gallery located on <em>yoursite.com/gallery</em>, you should change the field to "<u>gallery</u>".
                        </small>
                    </td>
            
                    <td width="70%" colspan="2">
                        <fieldset>
                            <input type="text" autocomplete="off" placeholder="e.g. gallery" style="width: 100%;" name="ed_theme_prefix" value="<?php if (get_option('ed_theme_prefix') !== '') {echo get_option('ed_theme_prefix');} else {} ?>" />
                        </fieldset>
                    </td>
                </tr>
                
                <tr>
                    <td scope="row" width="30%">
                        <h3 style="margin: 0;">Coppermine Photogallery Deepth:</h3>
                        <small>
                            Example: if you have a gallery located on <em>yoursite.com/gallery</em>, you should select "<u>..</u>".
                        </small>
                    </td>
            
                    <td width="70%" colspan="2">
                        <fieldset>
                            <select style="width: 100%;" id="ed_theme_deepth" name="ed_theme_deepth">
                                <option value="" disabled selected><?php echo __('Choose', 'aemycustomdesign'); ?>...</option>
                                <option value='0'<?php echo (get_option('ed_theme_deepth')=='0')?'selected':''; ?>><?php echo __('None', 'aemycustomdesign'); ?></option>
                                <option value='.'<?php echo (get_option('ed_theme_deepth')=='.')?'selected':''; ?>>.</option>
                                <option value='..'<?php echo (get_option('ed_theme_deepth')=='..')?'selected':''; ?>>..</option>
                                <option value='...'<?php echo (get_option('ed_theme_deepth')=='...')?'selected':''; ?>>...</option>
                                
                            </select>
                        </fieldset>
                    </td>
                </tr>
                
                <tr>
                    <td scope="row" width="30%">
                        <h3 style="margin: 0;">Advertisement Block (Sidebar):</h3>
                        <small>Specify a code of an ad block on the home page.</small>
                    </td>
            
                    <td width="70%" colspan="2">
                        <fieldset>
                            <textarea placeholder="e.g. <script src='https://www.googletagservices.com/tag/js/gpt.js'>googletag.pubads().definePassback('/162717810/CA-MarketingChoiceMedia/multiplex-general', ['fluid']).display();</script>" style="width:100%;height:150px;resize:none;" row="10" cols="40" class="ed_theme_adsblock320" name="ed_theme_adsblock320" id="ed_theme_adsblock320"><?php if (get_option('ed_theme_adsblock320') !== '') {echo get_option('ed_theme_adsblock320');} else {echo "";} ?></textarea>
                        </fieldset>
                    </td>
                </tr>
            </table>
    
            <p class="submit" style="text-align: center;">
                <input type="submit" class="button-primary" value="Save Changes of the Theme" />
            </p>
        </form>
	</div>
	<?php
}